Bug 584949 - 3.1, 3.2, 3.3: Dashboard functionality in Bugzilla similar to JIRA
3.1, 3.2, 3.3: Dashboard functionality in Bugzilla similar to JIRA
Status: CLOSED NOTABUG
Product: Bugzilla
Classification: Community
Component: User Accounts (Show other bugs)
3.6
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Len DiMaggio
Lukáš Petrovický
:
Depends On:
Blocks: JIRABZ
  Show dependency treegraph
 
Reported: 2010-04-22 15:09 EDT by David Lawrence
Modified: 2013-06-23 23:35 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-10 09:23:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lawrence 2010-04-22 15:09:38 EDT
JIRA Requirements: 3.1, 3.2, 3.3

JIRA currently has a dashboard feature called Portal Pages which allows configuring of user's home screens to show commonly used reports and other issue statistics. One or more
pages can be created which contain preconfigured queries or custom queries and can also display charts and graphs. There is a default dashboard page for each user to start with.
Bugzilla has something similar called "My Front Page" which contains some commonly used reports as well as custom reports that user's can enable from their saved searches. It does
not however support displaying of charts or graphs based on the queried data. Bugzilla also has a product browser page that displays some common statistics based on product. These
include counts based on status, severity, assignee, popularity, duplicates, and by component.

Proposed Solution(s): 

Improve Bugzilla's my front page to be more flexible allowing display of data in list, chart, pie, etc. formats. Add additional commonly used reports to match
those available in JIRA and allow adding/removing them from a user's front page display. Maybe even make the front page the default home page if the user is currently logged in.
Comment 1 David Lawrence 2010-12-13 14:55:00 EST
From current discussion on bz-devel-list:

> 1. Basically I was thinking the dashboard was something different altogether, more like the
> > screens you get when you click on the Dashboards link in the top left of jira.jboss.org. There
> > you have a home screen that can be customized using the available gadgets.
Sorry - that is my bad for assuming what Dashboard mean in that bugzilla entry.

If Dashboard is defined as the "being able to customize content via 'portal pages'" then 
I do not have any objections about postponing that.

The importance is that the default layout makes at least *some* sense (it currently doesn't)

> > 2. What you have demonstrated is what our product browser is trying to accomplish in the
> > current version of Bugzilla. A place to go and select a product and see overviews based on
> > that product.
> > 
> > https://bugzilla.redhat.com/page.cgi?id=browse.html
> > 
> > We are adding new features to this section of Bugzilla to match what is available in JIRA's
> > project browser. For example a new Roadmap tab is coming that shows the progress on different
> > target releases (JIRA's fixed for versions).
> > 
> > You can already drill down based on assignee, status, version, component, popularity, etc.
> > 
> > 3. A few things that I see that we currently are missing in our product browser are:
> > 
> >   a. In JIRA, when clicking on a version, fixedforversion, or component, you get a new
> >      summary screen show overviews related to that attribute. In Bugzilla when clicking on
> >      on one of those currently, it takes you to a bug query result list for that.
This one is my biggest functional problem with the current bugzilla "product browser".

How hard would it be to do the visual break down on these queries instead of showing them raw and
then have a link on the page giving you the option to show the raw query (that is what the "eye" does in jira) ?
(I assume the break down is today already simply a view onto a specific query ?)

> >   b. We are missing some other simple overviews, such as "Bugs Due", "Versions Due", "Components Due",
> >      and "Bugs Updated Recently".
These can be simplified/reduced. I think the important one is "version due"  - does bugzilla even have data
about the timing/relationships between versions to show/know this ?

> >   c. We are still missing some additional tabs such as calendar, labels, and subversion commits.
Calendar and labels I don't use - others might ?
Comment 2 David Lawrence 2010-12-13 15:11:18 EST
I have made some recent updates to the product browser to allow some additional functionality similar to the project browser in JIRA. Now when you go to the Product Browser in Bugzilla and click on any of the component/version/milestone names in the stats list, it will take you to a summary page that shows the following.

1. List of bugs that are past due (current date is after the bug's set deadline)
2. List of bugs that were recently updated

You can go from there and see a full list of bugs as before.

Please take a look and see if this is closer to what you were describing in your comments before. I have installed the new code for these changes on our other test server, bz-web1-test.devel.redhat.com:

https://bz-web1-test.devel.redhat.com/page.cgi?id=browse.html&tab=components&product=JBoss%20Enterprise%20Application%20Platform&bug_status=all

Dave
Comment 5 Simon Green 2011-02-23 08:11:31 EST
For example (for BRMS), this is the page we have

https://bz-web2-test.devel.redhat.com/page.cgi?id=browse.html&tab=components&product=JBoss+Enterprise+BRMS+Platform&bug_status=all

Does this meet your needs, or are more changes required?

  -- simon
Comment 6 Len DiMaggio 2011-03-09 13:09:51 EST
Clean-up task from the March 9 2011 Bugzilla / BRMS Pilot Meeting

This bugzilla has been marked as ON_QA - we need to verify that the changes made to https://bz-web2-test.devel.redhat.com/ are acceptable and that this bugzilla can be closed. Please verify the change and close (or re-open) this bugzilla by March 15 2011. Thx!
Comment 7 Len DiMaggio 2011-03-10 09:23:45 EST
Closing - this is implemented.

Note You need to log in before you can comment on or make changes to this bug.